/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { Constraint } from './Constraint';

/**
 * Schema for answering a request with a bucket.
 */
export type BucketOut = {
    /**
     * Name of the bucket
     */
    name: string;
    /**
     * Description of the bucket
     */
    description: string;
    /**
     * Time when the bucket was created
     */
    created_at: string;
    /**
     * UID of the owner
     */
    owner: string;
    /**
     * Number of Objects in this bucket
     */
    num_objects: number;
    /**
     * Total size of objects in this bucket in bytes
     */
    size: number;
    /**
     * Constraint for the owner of the bucket
     */
    owner_constraint?: Constraint;
};

