/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { Status } from './Status';

export type WorkflowVersionFull = {
    /**
     * Status of the workflow version
     */
    status: Status;
    /**
     * Version of the Workflow. Should follow semantic versioning
     */
    version: string;
    /**
     * Hash of the git commit
     */
    git_commit_hash: string;
    /**
     * URL of the icon for this workflow version
     */
    icon_url?: string;
    /**
     * Timestamp when the version was created
     */
    created_at: string;
    /**
     * ID of the corresponding workflow
     */
    workflow_id: string;
    /**
     * URL to download README.md from
     */
    readme_url: string;
    /**
     * URL to download CHAnGELOG.md from
     */
    changelog_url: string;
    /**
     * URL to download nextflow_schema.json from
     */
    parameter_schema_url: string;
};

